petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSubdomainsCreateCoalesce

Creates index subdomains by coalescing adjacent ranks' ownership ranges.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSubdomainsCreateCoalesce(Mat A,PetscInt N,PetscInt *n,IS *iss[])

Collective on A Many br

### Input Parameters

| A | - the matrix to create subdomains from Many br
| N | - requested number of subdomains Many br

### Output Parameters

| n | - number of subdomains resulting on this rank Many br
| iss | - IS list with indices of subdomains on this rank Many br

Many br

Notes: number of subdomains must be smaller than the communicator size Many br

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages